Bug 430894 - Missing cpl_config.h in gdal-devel
Summary: Missing cpl_config.h in gdal-devel
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdal   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Balint Cristian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 13:32 UTC by Douglas E. Warner
Modified: 2008-02-15 10:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 10:03:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Douglas E. Warner 2008-01-30 13:32:57 UTC
Description of problem:
I'm trying to build a new qgis package for devel and the build is failing with 
the following error:

In file included from /usr/include/gdal/gdal.h:40,
                 from /usr/include/gdal/gdal_priv.h:50,
                 
from /builddir/build/BUILD/qgis-0.9.1/src/core/raster/qgsrasterlayer.h:189,
                 
from /builddir/build/BUILD/qgis-0.9.1/src/core/qgsproject.cpp:28:
/usr/include/gdal/cpl_port.h:89:24: error: cpl_config.h: No such file or 
directory

It appears that the cpl_config.h file is missing from the gdal-devel package.


Version-Release number of selected component (if applicable):
gdal-1.5.0-2.fc9
gdal-devel-1.5.0-2.fc9


You can test the compile with the following src.rpm:
http://www.silfreed.net/download/repo/packages/qgis/qgis-0.9.1-2.src.rpm

Comment 1 Balint Cristian 2008-02-12 09:18:30 UTC
let me look.

Comment 2 Balint Cristian 2008-02-15 10:03:01 UTC
fixed in latest 1.5.0-3 upstream.


Note You need to log in before you can comment on or make changes to this bug.